/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import "../Gradients"

Rectangle {

    property bool checked: false
    property bool autoSwitchState: true
    signal toggle(bool check)

    width: 26
    height: 26
    gradient: GreenGradient { }
    radius: 3; smooth: true

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (autoSwitchState)
                parent.checked = !parent.checked;
            else if (!parent.checked)
                parent.toggle(true);
        }
    }

    Rectangle {
        id: content
        anchors.fill: parent
        anchors.margins: 2
        radius: 2
        color: "#ffffff"
        smooth: true

        Image {
            source: parent.parent.checked
                ? "qrc:/images/checked.png"
                : "qrc:/images/unchecked.png"
            anchors.centerIn: parent
        }
    }
}
