/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import "../Components"

Item {
    width: dlgtMouseArea.containsMouse ? 275 : 225
    height: Math.round(contentHeight / menusView.model.count)

    Behavior on width { NumberAnimation { duration: 200 } }

    Rectangle {
        anchors.fill: parent
        anchors.leftMargin: -10
        color: index%2 == 0 ? "#5F5F5F" : "#888888"
        border.width: 1; border.color: "grey"
        radius: parent.width > 225 ? 6 : 0
        smooth: true

        Image {
            id: dlgtArrow
            anchors.right: parent.right
            anchors.rightMargin: 15
            anchors.verticalCenter: parent.verticalCenter
            source: "qrc:/images/right-arrow.png"
            width: 20; height: 20
        }

        CommonText {
            anchors.left: parent.left
            anchors.right: dlgtArrow.left
            anchors.leftMargin: 35
            anchors.rightMargin: 15
            anchors.verticalCenter: parent.verticalCenter
            text: name
            font.pointSize: dlgtMouseArea.containsMouse ? 14 : 12
        }

        MouseArea {
            id: dlgtMouseArea
            anchors.fill: parent
            hoverEnabled: true
            onClicked: main.loadModRequest(index)
        }
    }
}
