/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import "../Components"

Rectangle {

    property string _date
    property string _text

    id: delegate
    height: childrenRect.height
    color: "transparent"
    border.width: 1
    border.color: "grey"

    Item {
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        height: dlgtDateArea.height + dlgtTextArea.height + 30

        CommonText {
            id: dlgtDateArea
            text: delegate._date + " :"
            style: Text.Normal
            font.pixelSize: 16
            font.underline: true
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.top: parent.top
            anchors.topMargin: 10
            wrapMode: Text.WordWrap
        }

        CommonText {
            id: dlgtTextArea
            text: delegate._text
            font.pixelSize: 14
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.top: dlgtDateArea.bottom
            anchors.topMargin: 10
            wrapMode: Text.WordWrap
        }
    }
}
