/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import "../Components"

Rectangle {
    border.width: 1
    border.color: "grey"
    height: 75; width: 355
    color: "#5F5F5F"
    radius: 5; smooth: true

    Column {
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.bottom: parent.bottom
        anchors.right: dlgtArrow.left
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.topMargin: 10
        anchors.bottomMargin: 10
        spacing: 3

        CommonText {
            width: parent.width
            elide: Text.ElideRight
            text: name
        }

        CommonText {
            width: parent.width
            elide: Text.ElideRight
            font.pointSize: 11
            text: age + (age > 1 ? " ans" : " an") + "  - "
                + (gender == 1 ? "Femme" : "Homme")
            opacity: 0.7
        }

        CommonText {
            width: parent.width
            elide: Text.ElideRight
            font.pointSize: 11
            text: address
            opacity: 0.7
        }
    }

    Image {
        id: dlgtArrow
        anchors.right: parent.right
        anchors.rightMargin: 15
        anchors.verticalCenter: parent.verticalCenter
        source: "qrc:/images/right-arrow.png"
        width: 20; height: 20
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            urgency.viewECG(index);
        }
    }
}
