/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import Qt 4.7
import "Components"
import "Gradients"
import "Delegates"

Rectangle {
    signal elementClicked(int index)
    onElementClicked: parent.loadModRequest(index);

    id: home
    anchors.fill: parent
    color: "#545454"

    Background { }

    MenuAccessor { }

    Menus {
        id: menusArea
        contentHeight: homeSlideView.height
    }

    PathView {
        id: homeSlideView
        anchors.top: parent.top
        anchors.left: menusArea.right
        anchors.bottom: bottomBar.top
        width: parent.width
        preferredHighlightBegin: 0.5
        preferredHighlightEnd: 0.5
        model: menusModel
        delegate: HomeSlideDelegate { }
        path: Path {
            startX: 0; startY: height / 2
            PathAttribute { name: "opacity"; value: 0 }
            PathAttribute { name: "angle"; value: 60 }
            PathAttribute { name: "scale"; value: 0 }
            PathLine { x: width / 2; y: height / 2 }
            PathAttribute { name: "opacity"; value: 1 }
            PathAttribute { name: "angle"; value: 0 }
            PathAttribute { name: "scale"; value: 1 }
            PathLine { x: width; y: height / 2 }
            PathAttribute { name: "opacity"; value: 0 }
            PathAttribute { name: "angle"; value: -60 }
            PathAttribute { name: "scale"; value: 0 }
        }
        focus: true
        Keys.onLeftPressed: decrementCurrentIndex()
        Keys.onRightPressed: incrementCurrentIndex()
    }

    BottomBar {
        id: bottomBar
        anchors.bottomMargin: parent.visible ? 0 : -height
        Behavior on anchors.bottomMargin { NumberAnimation { duration: 500 } }
    }
}
