/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

import QtQuick 1.0
import "../Components"

ComplexPopup {
    title: "Authentification"
    closable: false
    width: 450; height: 120
    anchors.centerIn: parent
    anchors.verticalCenterOffset: visible ? 0 : -main.height / 2 -height

    Behavior on anchors.verticalCenterOffset { SpringAnimation { spring: 2; damping: 0.2 } }

    CommonText {
        id: popupLoginResultMsg
        text: login.loginSuccessed
            ? "Vous vous êtes authentifié avec succès !"
            : "Le nom d'utilisateur et/ou le mot de passe est incorrect."
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Button {
        anchors.top: popupLoginResultMsg.bottom
        anchors.topMargin: 10
        anchors.horizontalCenter: parent.horizontalCenter
        text: login.loginSuccessed ? "Continuer" : "Réessayer"
        textInput { font.pixelSize: 14 }
        widthExtra: 34
        height: 25
        radius: Math.floor(height/2)
        onClicked: {
            if (login.loginSuccessed) {
                main.loadHomeRequest(true);
            }
            else {
                popupLoginResultVisible = false;
                loginArea.enabled = true;
            }
        }
    }
}
