/*
# Copyright (c) 2011 Louis du Verdier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
*/

#ifndef OPCODEHANDLER_H
#define OPCODEHANDLER_H

#include <QString>

class TcpServer;
class Customer;

enum Opcodes
{
    MSG_PING       = 0,
    MSG_PONG,
    MSG_LOGIN,
    MSG_QUERY_MEDICINE_MODEL,
    MSG_QUERY_PATIENTS_MODEL,
    MSG_QUERY_BODY_PARTS,
    MSG_QUERY_PATIENT,
    MSG_NEW_PATIENT,
    MSG_MODIFY_PATIENT,
    MSG_NEW_DIAGNOSTIC,
    MSG_NEW_SYMPTOM,
    MSG_REMOVE_PRESCRIPTION,
    MSG_MODIFY_PRESCRIPTION,
    MSG_NEW_PRESCRIPTION,
    MSG_ENTER_CHAT,
    MSG_LEAVE_CHAT,
    MSG_SEND_CHAT_MESSAGE,
    MSG_QUERY_CHAT_USERS,
    MSG_START_ECG,
    MSG_STOP_ECG,
    MSG_ECG_DATA,
    MSG_QUERY_ANALYSIS_MODEL,
    MSG_QUERY_SCAN,
    MSG_QUERY_RADIO,
    MSG_MAX_OPCODES
};

struct OpcodeHandler
{
    /*! Le nom de l'opcode. */
    QString name;
    /*! Le pointeur de fonction associé à l'opcode. */
    void (TcpServer::*handler)(QDataStream*, Customer*);
};

/*! La liste exhaustive des opcodes et les fonctions y étant associées. */
extern OpcodeHandler opcodes[MSG_MAX_OPCODES];

#endif // OPCODEHANDLER_H
